- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

PDL::Filter::Linear - linear filtering for PDL

# SYNOPSIS

            $a = new PDL::Filter::Linear(
                    {Weights => $v,
                     Point => 10});

            $b = new PDL::Filter::Gaussian(15,2); # 15 points, 2 std devn.

            ($pred,$corrslic) = $a->predict($dat);

# DESCRIPTION

A wrapper for generic linear filters. Just for convenience. This should in the future use DataPresenter.

Also, this class should at some point learn to do FFT whenever it is useful.